Subject: Re: using gvim as editor on Windows

From: Markus Heidelberg <[email-masked]>
Date: Sat, 6 Mar 2010 13:17:38 +0100

Tait, 2010-03-06 08:37:
> > > I'd prefer to use gvim as an editor on Windows XP instead of vim...
> > >     start "dummy" /b /wait "C:\Program Files\Vim\vim72\gvim.exe" %*
> >
> > Use the -f (stay in the foreground) flag.  I haven't tried this in
> > Windows, but that's how I've used it in Linux.
> >
> > [core]
> >     editor = gvim -f
> 
> On Windows, gvim -f is basically a shortcut for the start invocation I
> pasted above.

Not necessarily. You can avoid using the .bat wrappers from C:\Windows,
which cause the problem, but use gvim.exe directly by setting your PATH
appropriately. It will also work for git-difftool.

Markus